Summary: Converts plain ASCII to PostScript.
Name: enscript
Version: 1.6.1
Release: 11mdk
Copyright: GNU
Group: Publishing
Source0: ftp://ftp.gnu.org/pub/gnu/enscript/enscript-1.6.1.tar.bz2
Patch: enscript-1.6.1-config.patch.bz2
URL: http://people.ssh.fi/mtr/genscript/
Prefix: %{_prefix}
BuildRoot: /var/tmp/%{name}-root
Obsoletes: nenscript

%description
Enscript is a print filter. It can take ASCII input
and format it into PostScript output. At the same time,
it can also do nice transformations like putting two
ASCII pages on one physical page (side by side) or
changing fonts.

%prep
%setup -q
%patch -p1

%build
#./configure --prefix=/usr --with-media=Letter --sysconfdir=/etc
#CFLAGS="$RPM_OPT_FLAGS" make

%configure --with-media=Letter --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/{de,es,fi,fr,nl,sl}/LC_MESSAGES
make DESTDIR=$RPM_BUILD_ROOT install

# XXX note doubled %% in sed script below.
(cd $RPM_BUILD_ROOT;find .%{_prefix}/share/enscript/*) | \
	sed -e 's,^\.,,' | sed -e 's,*font.map,%%config &,' > share.list

{ cd $RPM_BUILD_ROOT
  strip .%{_prefix}/bin/* || :
  ln .%{_prefix}/bin/enscript .%{_prefix}/bin/nenscript
}



find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files -f share.list
%defattr(-,root,root)
%{_prefix}/share/locale/*/LC_MESSAGES/enscript.mo
%{_prefix}/bin/diffpp
%{_prefix}/bin/sliceprint
%{_prefix}/bin/enscript
%{_prefix}/bin/nenscript
%{_prefix}/bin/mkafmmap
%{_prefix}/bin/states
%{_prefix}/bin/over

%{_prefix}/man/man1/*
%config /etc/enscript.cfg

%doc AUTHORS ChangeLog FAQ.html NEWS README README.ESCAPES THANKS TODO 

%changelog
* Thu Mar 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.6.1-11mdk
- new groups
- fixed non-existent URL

* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>
- Build release.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- marked /usr/share/enscript/font.map as a config file

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added documentation to the RPM

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.
- include i18n locales.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Wed Nov 11 1998 Preston Brown <pbrown@redhat.com>
- translations ripped out, slight cleanup to build section.

* Mon Nov 09 1998 Preston Brown <pbrown@redhat.com>
- initial build of GNU enscript to replace nenscript.
